TKN-EVENTLISTENER-LIST(1)

NAME

tkn-eventlistener-list - Lists EventListeners in a namespace

SYNOPSIS

tkn eventlistener list

DESCRIPTION

Lists EventListeners in a namespace

OPTIONS

-A, --all-namespaces[=false]
    list EventListeners from all namespaces

--allow-missing-template-keys[=true]
    If true, ignore any errors in templates when a field or map key is missing in the template. Only applies to golang and jsonpath output formats.

-h, --help[=false]
    help for list

--no-headers[=false]
    do not print column headers with output (default print column headers with output)

-o, --output=""
    Output format. One of: (json, yaml, name, go-template, go-template-file, template, templatefile, jsonpath, jsonpath-as-json, jsonpath-file).

--show-managed-fields[=false]
    If true, keep the managedFields when printing objects in JSON or YAML format.

--template=""
    Template string or path to template file to use when -o=go-template, -o=go-template-file. The template format is golang templates [ ⟨http://golang.org/pkg/text/template/#pkg-overview⟩].

OPTIONS INHERITED FROM PARENT COMMANDS

-c, --context=""
    name of the kubeconfig context to use (default: kubectl config current-context)

-k, --kubeconfig=""
    kubectl config file (default: $HOME/.kube/config)

-n, --namespace=""
    namespace to use (default: from $KUBECONFIG)

-C, --no-color[=false]
    disable coloring (default: false)

EXAMPLE

List all EventListeners in namespace 'bar':

    tkn eventlistener list -n bar

or

    tkn el ls -n bar

SEE ALSO

tkn-eventlistener(1)